{
  "schema_version": "1.4.0",
  "id": "GHSA-82cf-r7f2-jqcr",
  "modified": "2022-05-14T01:22:08Z",
  "published": "2022-05-14T01:22:08Z",
  "aliases": [
    "CVE-2017-6009"
  ],
  "details": "An issue was discovered in icoutils 0.31.1. A buffer overflow was observed in the \"decode_ne_resource_id\" function in the \"restable.c\" source file. This is happening because the \"len\" parameter for memcpy is not checked for size and thus becomes a negative integer in the process, resulting in a failed memcpy. This affects wrestool.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-6009"
    },
    {
      "type": "WEB",
      "url": "https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=854050"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201801-12"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2017-0837.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3807"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/96292"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-02-16T11:59:00Z"
  }
}